.popup {
    display: block;
    visibility: hidden;
    opacity: 0;
    position: fixed;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
    padding: 24px;
    background-color: $main-0;
    border-radius: 16px;
    transition: 0.3s ease;

    .popup__header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 24px;
    }

    .popup__body {
        margin-bottom: 24px;

        .popup__title {
            @include f20w400M8;
        }

        .popup__text {
            @include f16w400M8;
        }
    }

    .component__button {
        width: 100%;
    }

    .buttons__wrapper {
        display: flex;
        grid-gap: 16px;
    }
}

.popup.active {
    visibility: visible;
    opacity: 1;
    top: 50%;
}

.popup__delete {
    .popup__header {
        .confirmation-icon {
            display: none;
        }
    }

    .popup__body {
        .popup__text-confirmation {
            display: none;
        }
    }

    .buttons-confirmation {
        display: none;
    }
}

.popup__delete.confirmation {
    .popup__header {
        .confirmation-icon {
            display: block;
        }

        .popup-icon {
            display: none;
        }
    }

    .popup__body {
        .popup__text-confirmation {
            display: block;
        }

        .text {
            display: none;
        }
    }

    .buttons-confirmation {
        display: block;
    }

    .buttons {
        display: none;
    }
}


